package com.palmnest.service.estateserve;

import com.alibaba.fastjson.JSONObject;
import com.palmnest.application.bean.Pagenation;
import org.springframework.ui.ModelMap;

import java.util.List;
import java.util.Map;


/**
 * 充值端接口
 *
 * @author xiemin
 * @since 2017-05-18
 */
public interface RechargeWebManager {

	/**
	 * 查询充值列表
	 *
	 * @param modelMap
	 * @return
	 */
	public Pagenation<Map<String, String>> queryRechargeList(ModelMap modelMap);

	/**
	 * 查询产品列表
	 *
	 * @param modelMap
	 * @return
	 */
	public Pagenation<Map<String, String>> queryProductList(ModelMap modelMap);

	/**
	 * 导入产品进数据库
	 *
	 * @return
	 */
	public JSONObject importProduct(List<Map<String, String>> list, String userName);

	/**
	 * 手动充值
	 *
	 * @param productId
	 * @param id
	 * @return
	 */
	public JSONObject updaterecharge(String productId, String id);

	/**
	 * 手动触发话费充值成功
	 *
	 * @param id
	 * @return
	 */
	public JSONObject updateRechargePhone(int id);

	/**
	 * 退款
	 *
	 * @param id
	 * @return
	 */
	public JSONObject updateDrawback(String id);

	/**
	 * 更新产品信息
	 *
	 * @param map
	 * @return
	 */
	public JSONObject updateProduct(Map<String, String> map);

	/**
	 * 上架下架
	 *
	 * @param map
	 * @return
	 */
	public JSONObject updateAvailable(Map<String, String> map);


}
